/**
 * jQuery Log Fast & safe logging in Firebug console
 * 
 * @param mixed -
 *            as many parameters as needed
 * @return void
 * 
 * @url http://plugins.jquery.com/project/jQueryLog
 * @author Amal Samally [amal.samally(at)gmail.com]
 * @version 1.0
 * @example: $.log(someObj, someVar); $.log("%s is %d years old.", "Bob", 42);
 *           $('div.someClass').log().hide();
 */
(function(a) {
	if(window.console && window.console.log.apply == null){
		a.log = console.log;
	}else if(window.console && window.console.log.apply != null) { 
		a.log = function() {
			console.log.apply(console, arguments);
		};
	}
	else {
		a.log = a.noop;
	}
	a.fn.log = function() {
		a.log(this);
		return this;
	};
})(jQuery);